%% MATLAB script file to generate and plot PM
% and FM wave for a triangular input signal..
%
em=4*linspace(-1,1,1000); % One period of triangular wave
emp=em*ones(1,10);
emp=emp(:);
t=linspace(0,.0001,length(emp));% Time vector for 10 cycles of
%% input wave.
fc=105;
kf=2000*pi;%FM modulation index.
kp=pi/2;%PM modulation index.
tau=kp/(2*pi*kf); % Time constant of the integrator..
epm=8*sin(2*pi*fc*t+kp*emp);%PM out generated..
emf(1)=0;
for p=2:length(emp)
emf(p)=trapz(t(1:p),emp(1:p))/tau; % Trapezoidal integration of
end; % input signal...
efm=8*sin(2*pi*fc*t+kp*emf);% FM out generated.
subplot(411),plot(t,emp,r), axis([0 .0001 -5 5]);
xlabel(t); ylabel(e_{PM/FM});
title(Modulating Signal for FM/PM);
subplot(412),plot(t,epm,b), axis([0 .0001 -10 10]);
xlabel(t); ylabel(PM_{out});
title(Modulated Signal for PM);
subplot(413),plot(t,emf,r),axis([0 .0001 -.4 .4]);
xlabel(t); ylabel(e_{FM});
title(Integrated Input Signal);
subplot(414),plot(t,efm,b),axis([0 .0001 -10 10]);
xlabel(t); ylabel(FM_{out});
title(Modulated Signal for FM);
%% end of pmtfm.m